﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace MyLicenses
{
    public partial class FormRenew : Form
    {
        public FormRenew()
        {
            InitializeComponent();
        }

        public FormRenew(DataRow dr)
            : this()
        {
            this.Text = string.Format("Renew - {0}", dr["Id"]);
            txtCurrentEOS.Text = dr["EndOfSubscription"].ToString();
            txtProductKey.Text = dr["ProductKey"].ToString();
            byte[] Infos = ((Guid)dr["Infos"]).ToByteArray();
            uint ts = Utilities.ReadUInt16(Infos, 10);
            DateTime eos = MainForm.dtProtector.AddDays(ts);
            dateTimePickerNew.Value = eos.AddYears(1);
        }
    }
}
